> ## Documentation Index
> Fetch the complete documentation index at: https://docs.extractor.live/llms.txt
> Use this file to discover all available pages before exploring further.

# update entity by id



## OpenAPI

````yaml /openapi.json put /api/v1/instance/meta/{id}
openapi: 3.0.3
info:
  title: Extractor Project (dev)
  version: 0.0.649
servers: []
security: []
paths:
  /api/v1/instance/meta/{id}:
    put:
      tags:
        - License Instance Meta Route
      summary: update entity by id
      parameters:
        - name: id
          in: path
          required: true
          schema:
            format: int64
            type: integer
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateLicenseInstanceMetaDto'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LicenseInstanceMetaDto'
      security:
        - SecurityScheme: []
components:
  schemas:
    UpdateLicenseInstanceMetaDto:
      type: object
      properties:
        status:
          description: 'Status of the entity. Default: ''ACTIVE'''
          type: string
          allOf:
            - $ref: '#/components/schemas/Status'
        startedAt:
          format: int64
          description: License start date
          type: integer
        expiredAt:
          format: int64
          description: License expiration date
          type: integer
    LicenseInstanceMetaDto:
      type: object
      properties:
        id:
          format: int64
          description: Unique identifier of the entity
          type: integer
          example: 1
        createdAt:
          format: int64
          description: Time when entity was created
          type: integer
        updatedAt:
          format: int64
          description: Time when entity was updated
          type: integer
        status:
          description: 'Status of the entity. Default: ''ACTIVE'''
          type: string
          allOf:
            - $ref: '#/components/schemas/Status'
        licenseInstanceId:
          format: int64
          description: License instance id
          type: integer
        startedAt:
          description: License start date
          type: string
          allOf:
            - $ref: '#/components/schemas/Instant'
        expiredAt:
          description: License expiration date
          type: string
          allOf:
            - $ref: '#/components/schemas/Instant'
    Status:
      enum:
        - ACTIVE
        - DISABLED
        - DELETED
      type: string
    Instant:
      format: date-time
      type: string
      example: '2022-03-10T16:15:50Z'
  securitySchemes:
    SecurityScheme:
      type: http
      description: Authentication
      scheme: bearer
      bearerFormat: JWT

````